Bug 605075 - AS 5 plugin: Embedded war not shown as child of its parent ear
Summary: AS 5 plugin: Embedded war not shown as child of its parent ear
Status: CLOSED WONTFIX
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: All
urgent
medium vote
Target Milestone: ---
: ---
Assignee: Filip Drabek
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-17 10:25 UTC by Heiko W. Rupp
Modified: 2010-07-07 19:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 19:11:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ear file for testing (1.13 KB, application/octet-stream)
2010-06-17 10:25 UTC, Heiko W. Rupp
no flags Details
Screenshot of the resource tree + inventory tab (69.62 KB, image/png)
2010-06-17 10:26 UTC, Heiko W. Rupp
no flags Details

Description Heiko W. Rupp 2010-06-17 10:25:10 UTC
Created attachment 424751 [details]
ear file for testing

The AS 5 plugin does not show an embedded war below its parent .ear

See screenshot and attached .ear file

Comment 1 Heiko W. Rupp 2010-06-17 10:26:14 UTC
Created attachment 424752 [details]
Screenshot of the resource tree + inventory tab

Comment 2 Charles Crouch 2010-06-18 12:44:24 UTC
Is this a regression? Or just different to how it works in AS4?

Comment 3 Heiko W. Rupp 2010-07-07 08:29:58 UTC
Different to AS4 - I don't know if it is a regression to past versions.
At least it is odd, as the EAR is a package type that *contains* .war files.

Comment 4 Ian Springer 2010-07-07 18:27:54 UTC
I'm fairly sure this was an intentional design decision even though we knew it would deviate from the hierarchy used by the as4 plugin. I think the main reason was to keep the resource hierarchy a little less deep, especially considering we added the new "Web Application Context" child resource type below the WAR resource type in the as5 plugin. Charles, do you recall? If not, I can dig through my email and see if I can find any more details.

Comment 5 Ian Springer 2010-07-07 19:11:07 UTC
(03:03:56 PM) ips-lunch: actually i think it also had to do with the fact that you can have wars within ears within sars in AS and it just wouldn't be practical to model all the various permutations w/ the rhq restype hierarchy
(03:04:52 PM) joseph: ips-lunch: that's what relationship service was supposed to supplement
(03:05:03 PM) ips-lunch: yep
(03:06:57 PM) ips-lunch: in any case, i know we consciously decided on the current hierarchy so it seems odd to decide to change it now a year plus later
(03:09:27 PM) ips-lunch: also, i don't think the restype-move code could handle moving existing resources. in cases where the new parent resource is not a singleton, it has no way of knowing which one (i.e. which ear resource) is the new parent
(03:09:57 PM) ccrouch: ips-lunch: fair enough. If you could add more of an explaination to that jira, and then close it as WONTFIX


Note You need to log in before you can comment on or make changes to this bug.